/* V 1.1  - mkaply   - proper support for GLIB and LIBIDL */
/* V 1.2  - mkaply   - use EMX2, not emx_string */
/* V 1.3  - mkaply   - Support for a better PERL */
/* V 1.4  - mkaply   - Support for an even better PERL */
/* V 1.5  - mkaply   - Support for changing FLOCK and perl shell */
/* V 1.6  - mkaply   - Make VACPP the default */
/* V 1.7  - mkaply   - GCC 3.2.1 support */
/* V 1.8  - pedemont - GCC 3.3.5 Beta 1 support */
/* V 1.9  - pedemont - remove VACPP support */
/* V 1.10 - pedemont - replace bash.exe with ash.exe */
/* V 1.11 - pedemont - add INCLUDE env variable */

/* be quiet */
'@ECHO OFF'

/* If SETMOZENV has alread been run, don't run it again */
if value('MOZENV',,'OS2ENVIRONMENT') = '1' THEN
DO
   'echo Schon gesetzt'
   exit
END
'set COMSPEC=c:\os2\cmd.exe'
'set MOZENV=1'
'set lang=de_DE'
'rem set PERLLIB_PREFIX=L:/Perl/lib;c:\usr\lib\perl5'
'set programs='
'REM set qmakespec=os2-g++'
'REM set ENDLIBPATH=u:\dev\virtualbox\vbox\out\os2.x86\release\bin'
'REM set qtdir=u:\dev\qt4'
'set EDITOR=tedit.exe'
'set GIT_SORT=/@unixroot/usr/bin/sort.exe'
'set GIT_FIND=/@unixroot/usr/bin/find.exe'
'REM set CONFIG_SITE=d:/work/config.site'
'SET PATH_EMXPGCC=c:\usr'
'set sdl_config=/@unixroot/usr/bin/sdl-config'
'set PKG_CONFIG_PATH=/@unixroot/usr/lib/pkgconfig;/@unixroot/usr/share/pkgconfig;/@unixroot/usr/local/lib/pkgconfig'
'SET JAM_TOOLSET=gcc'
'set gcc=c:\usr'
'SET CCENV=EMX'
'SET UNIXROOT=c:'
'SET PATH_SEPARATOR=;'
'SET M4=m4.exe'
'SET BUILD_ENV=EMX'
'REM set WATCOM=d:\watcom'
'REM set VBOX_OSE=1'
'REM set VBOX_PATH_GLIB=/dev/virtualbox/vbox/tools/os2.x86/glibidl/gcc335'
'REM set VBOX_PATH_LIBIDL=/dev/virtualbox/vbox/tools/os2.x86/glibidl/gcc335'
'set EMXOMFLD_TYPE=WLINK'
'set EMXOMFLD_LINKER=wl.exe'
'SET BUILD_PLATFORM=os2'
'set BUILD_MODE=release'
'set GREP=grep.exe'
'set exeext=.exe'
'set EMXOMFLD_RC_TYPE=WRC'
'set EMXOMFLD_RC=WRC.EXE'
'set PERL=perl'

/* Figure out what drive the utility was run on and set it as ROOT */
PARSE SOURCE command
PARSE VAR command word1 word2 path
PARSE UPPER VALUE path WITH root':\'therest
'SET ROOT=/@unixroot/'


/* If the environment variable TOOLKIT is set, use it, otherwise assume TOOLKIT is a directory off of ROOT */
if value('TOOLKIT',,'OS2ENVIRONMENT') = '' THEN
DO
'SET TOOLKIT=%ROOT%\os2tk45'
END
/* Create an environment variable GLIB2 with forward slashes instead of backslashes */
'SET TOOLKIT2='backtoforward(value('TOOLKIT',,'OS2ENVIRONMENT'));


/* If a HOME environment variable is not set, set it */
if value('HOME',,'OS2ENVIRONMENT') = '' THEN
DO
'set HOME=c:\HOME'
END

'SET BEGINLIBPATH=C:\usr\local\lib;C:\USR\LIB;d:\ibmcxxo\dll;%BEGINLIBPATH%'
'SET PATH=c:\usr\local\bin;c:\usr\bin;%PATH%'
'REM SET DPATH=%MOZTOOLS%;%TOOLKIT%\msg;%DPATH%;'

/* REM *** PERL settings */
'set PERL_SH_DIR=c:\usr\BIN'
'set USE_PERL_FLOCK=0'

/* REM *** shell settings **** */
'set SHELL=dash.exe'
'SET CONFIG_SHELL=dash.exe'
'SET MAKESHELL=dash.exe'

/* REM *** AUTOCONF settings **** */
'set ac_prefix=/@unixroot/usr/local/bin'
'set ac_macrodir=/@unixroot/usr/share/autoconf'
'set ACLOCAL_PATH=/@unixroot/usr/share/aclocal'

/* REM *** Compiler settings **** */
'set CC=gcc'
'set CXX=g++'

'REM SET PATH=%GCCDIR%\local492\bin;%GCCDIR%\local492\libexec\gcc\i386-pc-os2-emx\4.9.2;u:\extras\bin;%GCCDIR%\bin;%GCCDIR%\local\bin;%GLIB%\gcc\bin;%LIBIDL%\gcc\bin;%PATH%'
'REM SET BEGINLIBPATH=%GCCDIR%\local492\lib;%GCCDIR%\lib;%GLIB%\gcc\bin;%LIBIDL%\gcc\bin;u:\extras\dll;%BEGINLIBPATH%'

'SET C_INCLUDE_PATH=/@unixroot/usr/include;/@unixroot/usr/local/include;/@unixroot/usr/local/include/flac'
'SET C_INCLUDE_PATH=%C_INCLUDE_PATH%;/@unixroot/usr/local/include/libmodplug;/@unixroot/usr/local/include/ogg'
'SET C_INCLUDE_PATH=%C_INCLUDE_PATH%;/@unixroot/usr/local/include/SDL;/@unixroot/usr/local/include/smpeg'
'SET C_INCLUDE_PATH=%C_INCLUDE_PATH%;/@unixroot/usr/local/include/speex;/@unixroot/usr/local/include/vorbis'
'SET C_INCLUDE_PATH=%C_INCLUDE_PATH%;/@unixroot/usr/include/SDL'
'SET CPLUS_INCLUDE_PATH=/@unixroot/usr/include;/@unixroot/usr/local/include'
'SET LIBRARY_PATH=/@unixroot/usr/local/lib;/@unixroot/usr/lib;c:\os2\dll;c:\mptn\dll'
'SET LIB=c:\usr\local\lib;c:\usr\lib'
'SET INCLUDE=C:\USR\INCLUDE\OS2TK45\INC;C:\USR\INCLUDE\OS2TK45\GL;C:\USR\INCLUDE\OS2TK45'

'SET GCCLOAD=5'
'SET GCCOPT=-pipe'
'SET EMXOPT=-c -n -h1024'

'SET TERMCAP=%EMX2%/etc/termcap.dat'
'rem SET TERM=ansi-color-3'

'SET INFOPATH=%EMX2%/info;/@unixroot/usr/share/info'
'SET EMXBOOK=emxdev.inf+emxlib.inf+emxgnu.inf+emxbsd.inf'
'SET HELPNDX=EPMKWHLP.NDX+CPP.NDX+CPPBRS.NDX+emxbook.ndx'

'set GLIB_CONFIG=%GLIB%\gcc\bin\glib-config'
'set LIBIDL_CONFIG=%LIBIDL%\gcc\bin\libIDL-config'

/* rem *** ASH SHELL STUFF */
/*   for some reason, ash.exe ignores the first entry in my PATH when called  */
/*   from make; create a dummy path at the beginning in order to make it work */
'SET PATH=%ROOT%\foo;%PATH%'

/* rem *** MOZILLA BUILD **** */
'set tmp=/@unixroot/var/tmp'
'SET TEMP=%TMP%'
'SET TMPDIR=%TMP%'
'set RANLIB=echo'
'set AWK=gawk.exe'
'set SED=sed.exe'
'set RUN_AUTOCONF_LOCALLY=1'
'SET MOZ_OS2_TOOLS=EMX'

/* REM *** Set user debug info here *** */
'set LOGNAME=%hostname%'
'set USER=%hostname%'
'set SYSTEMNAME=%hostname%'
'set EMXSHELL=/@unixroot/usr/bin/sh'
'set GIT_SSL_NO_VERIFY=true'

/* REM Mercurial encoding */
'set HGENCODING=iso-8859-1'

/* REM *** disable assertion dialog *** */
/* 'set XPCOM_DEBUG_BREAK=warn' */
/* REM *** Enable build number in window title bar *** */
/* 'SET BUILD_OFFICIAL=1' */
do while queued() <> 0; parse pull; end
'@ECHO %1 | rxqueue'
parse pull params
params = strip(params)
if params = "debug" then do
  'CMD /K D:\IBMCXXO\BIN\SETENV.CMD D:\IBMCXXO\BIN\IDEBUG'
end

exit

backtoforward: procedure
  arg pathname
  return Translate(pathname, '/', '\')
